VSTGUI: WindowClosedListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
WindowClosedListener Class Reference
Standalone Library

Window closed listener More...

`#include <windowlistener.h>`

Inheritance diagram for WindowClosedListener:

## Public Types
using | Func = std::function<void (const IWindow&)>

## Public Member Functions
| WindowClosedListener ()
template<typename Func>
| WindowClosedListener (Func func)
void | onClosed (const IWindow &window) override
| Window is closed.
Public Member Functions inherited from WindowListenerAdapter
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed.
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed.
void | onShow (const IWindow &window) override
| Window is shown.
void | onHide (const IWindow &window) override
| Window is hidden.
void | onClosed (const IWindow &window) override
| Window is closed.
void | onActivated (const IWindow &window) override
| Window is activated.
void | onDeactivated (const IWindow &window) override
| Window is deactivated.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Public Attributes
Func | func

## Detailed Description

Window closed listener

## Member Typedef Documentation

## ◆ Func

using Func = std::function<void (const IWindow&)>

## Constructor & Destructor Documentation

## ◆ WindowClosedListener() [1/2]

WindowClosedListener | ( |  | ) |
| inline

## ◆ WindowClosedListener() [2/2]

template<typename Func>

WindowClosedListener | ( | Func | func | ) |
| inline

## Member Function Documentation

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is closed.

Implements IWindowListener.

## Member Data Documentation

## ◆ func

Func func

The documentation for this class was generated from the following file:

- windowlistener.h